#ifndef ConvertPronto_h
#define ConvertPronto_h

#include <QString>

class OneButton;

// Given a pronto format raw IR code string (a bunch of space separated
// hex numbers), convert that string to a OneButton struct which will
// contain either 1 or 2 samples (if conversion is successful). The 2nd
// sample will represent the repeat code (if it is different than the
// initial button press).
//
// Returns NULL if it can't understand the pronto string.
//
OneButton *
ConvertPronto(QString pronto_string);

#endif // ConvertPronto_h
